ServerCookie (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.ServerCookie class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class ServerCookie

    java.lang.Object
      org.apache.tomcat.util.http.ServerCookie

All Implemented Interfaces:
  java.io.Serializable

    public class ServerCookie

extends java.lang.Object
implements java.io.Serializable

Server-side cookie representation. Allows recycling and uses MessageBytes as low-level representation ( and thus the byte-> char conversion can be delayed until we know the charset ). Tomcat.core uses this recyclable object to represent cookies, and the facade will convert it to the external representation.

See Also:
  Serialized Form

Field Summary
`static boolean` | `ALWAYS_ADD_EXPIRES` If set to false, we don't use the IE6/7 Max-Age/Expires work around
`static boolean` | `STRICT_SERVLET_COMPLIANCE` If set to true, we parse cookies according to the servlet spec,

Constructor Summary
`ServerCookie()`

Method Summary
`static boolean` | `alreadyQuoted(java.lang.String value)`
`static void` | `appendCookieValue(java.lang.StringBuffer headerBuf, int version, java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain, java.lang.String comment, int maxAge, boolean isSecure, boolean isHttpOnly)`
`static boolean` | `checkName(java.lang.String name)` Deprecated. - Not used
`static boolean` | `containsCTL(java.lang.String value, int version)`
`MessageBytes` | `getComment()`
`java.lang.String` | `getCookieHeaderName()` Return the header name to set the cookie, based on cookie version.
`static java.lang.String` | `getCookieHeaderName(int version)` Return the header name to set the cookie, based on cookie version.
`MessageBytes` | `getDomain()`
`int` | `getMaxAge()`
`MessageBytes` | `getName()`
`MessageBytes` | `getPath()`
`boolean` | `getSecure()`
`MessageBytes` | `getValue()`
`int` | `getVersion()`
`static boolean` | `isToken(java.lang.String value)`
`static boolean` | `isToken(java.lang.String value, java.lang.String literals)`
`static boolean` | `isToken2(java.lang.String value)`
`static boolean` | `isToken2(java.lang.String value, java.lang.String literals)`
`static void` | `maybeQuote(int version, java.lang.StringBuffer buf, java.lang.String value)` Deprecated. - Not used
`static int` | `maybeQuote2(int version, java.lang.StringBuffer buf, java.lang.String value)` Quotes values using rules that vary depending on Cookie version.
`static int` | `maybeQuote2(int version, java.lang.StringBuffer buf, java.lang.String value, boolean allowVersionSwitch)`
`static int` | `maybeQuote2(int version, java.lang.StringBuffer buf, java.lang.String value, java.lang.String literals, boolean allowVersionSwitch)`
`void` | `recycle()`
`void` | `setMaxAge(int expiry)`
`void` | `setSecure(boolean flag)`
`void` | `setVersion(int v)`
`java.lang.String` | `toString()`
`static void` | `unescapeDoubleQuotes(ByteChunk bc)` Unescapes any double quotes in the given cookie value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRICT_SERVLET_COMPLIANCE

    public static final boolean STRICT_SERVLET_COMPLIANCE

  If set to true, we parse cookies according to the servlet spec,

### ALWAYS_ADD_EXPIRES

    public static final boolean ALWAYS_ADD_EXPIRES

  If set to false, we don't use the IE6/7 Max-Age/Expires work around

Constructor Detail

### ServerCookie

    public ServerCookie()

Method Detail

### recycle

    public void recycle()

### getComment

    public MessageBytes getComment()

### getDomain

    public MessageBytes getDomain()

### setMaxAge

    public void setMaxAge(int expiry)

### getMaxAge

    public int getMaxAge()

### getPath

    public MessageBytes getPath()

### setSecure

    public void setSecure(boolean flag)

### getSecure

    public boolean getSecure()

### getName

    public MessageBytes getName()

### getValue

    public MessageBytes getValue()

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int v)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isToken

    public static boolean isToken(java.lang.String value)

### isToken

    public static boolean isToken(java.lang.String value,
                                  java.lang.String literals)

### containsCTL

    public static boolean containsCTL(java.lang.String value,
                                      int version)

### isToken2

    public static boolean isToken2(java.lang.String value)

### isToken2

    public static boolean isToken2(java.lang.String value,
                                   java.lang.String literals)

### checkName

    public static boolean checkName(java.lang.String name)

  Deprecated. - Not used

### getCookieHeaderName

    public java.lang.String getCookieHeaderName()

  Return the header name to set the cookie, based on cookie version.

### getCookieHeaderName

    public static java.lang.String getCookieHeaderName(int version)

  Return the header name to set the cookie, based on cookie version.

### appendCookieValue

    public static void appendCookieValue(java.lang.StringBuffer headerBuf,
                                         int version,
                                         java.lang.String name,
                                         java.lang.String value,
                                         java.lang.String path,
                                         java.lang.String domain,
                                         java.lang.String comment,
                                         int maxAge,
                                         boolean isSecure,
                                         boolean isHttpOnly)

### maybeQuote

    @Deprecated
    public static void maybeQuote(int version,
                                             java.lang.StringBuffer buf,
                                             java.lang.String value)

  Deprecated. - Not used

### alreadyQuoted

    public static boolean alreadyQuoted(java.lang.String value)

### maybeQuote2

    public static int maybeQuote2(int version,
                                  java.lang.StringBuffer buf,
                                  java.lang.String value)

  Quotes values using rules that vary depending on Cookie version.

  Parameters:
    `version` -
    `buf` -
    `value` -

### maybeQuote2

    public static int maybeQuote2(int version,
                                  java.lang.StringBuffer buf,
                                  java.lang.String value,
                                  boolean allowVersionSwitch)

### maybeQuote2

    public static int maybeQuote2(int version,
                                  java.lang.StringBuffer buf,
                                  java.lang.String value,
                                  java.lang.String literals,
                                  boolean allowVersionSwitch)

### unescapeDoubleQuotes

    public static void unescapeDoubleQuotes(ByteChunk bc)

  Unescapes any double quotes in the given cookie value.

  Parameters:
    `bc` - The cookie value to modify

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.